Package org.apache.sysds.runtime.util

# Class NormalPRNGenerator

java.lang.Object
org.apache.sysds.runtime.util.PRNGenerator
org.apache.sysds.runtime.util.NormalPRNGenerator

All Implemented Interfaces:
  `IPRNGenerator`

public class NormalPRNGenerator extends PRNGenerator
Class that can generate a stream of random numbers from standard normal distribution N(0,1). This class internally makes use of RandNPair, which uses Box-Muller method.

## Constructor Summary

Constructors
Constructor
Description
`NormalPRNGenerator()`

## Method Summary

Modifier and Type
Method
Description
`double`
`nextDouble()`
`void`
`setSeed(long seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NormalPRNGenerator

public NormalPRNGenerator()

## Method Details

### setSeed

public void setSeed(long seed)

Specified by:
  `setSeed` in interface `IPRNGenerator`
Specified by:
  `setSeed` in class `PRNGenerator`

### nextDouble

public double nextDouble()

Specified by:
  `nextDouble` in class `PRNGenerator`